!-------------------------------------------------
!  LRLlib Module
!-------------------------------------------------
module lrllib
  use dcl_common
  contains
!-------------------------------------------
    function DclEQ(x,y,epsilon)
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclEQ 

      if(present(epsilon)) then
        DclEQ = lreqa(x,y,epsislon)
      else
        DclEQ = lreq1(x,y)
      end if
      
    end function
!-------------------------------------------
    function DclNE(x,y,epsilon) 
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclNE
      
      if(present(epsilon)) then
        DclNE = lrnea(x,y,epsislon)
      else
        DclNE = lrne1(x,y)
      end if
      
    end function
!-------------------------------------------
    function DclLT(x,y,epsilon)
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclLT
      
      if(present(epsilon)) then
        DclLT = lrlta(x,y,epsislon)
      else
        DclLT = lrlt1(x,y)
      end if
      
    end function
!-------------------------------------------
    function DclLE(x,y,epsilon) 
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclLE
      
      if(present(epsilon)) then
        DclLE = lrlea(x,y,epsislon)
      else
        DclLE = lrle1(x,y)
      end if
      
    end function
!-------------------------------------------
    function DclGT(x,y,epsilon) 
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclGT
      
      if(present(epsilon)) then
        DclGT = lrgta(x,y,epsislon)
      else
        DclGT = lrgt1(x,y)
      end if
      
    end function
!-------------------------------------------
    function DclGE(x,y,epsilon)
      real, intent(in)           :: x, y
      real, intent(in), optional :: epsilon
      logical :: DclGE
      
      if(present(epsilon)) then
        DclGE = lrgea(x,y,epsislon)
      else
        DclGE = lrge1(x,y)
      end if
      
    end function
end module
